Main Page Namespace List Class Hierarchy Compound List Compound Members

# ZThread::Runnable Class Reference

`#include <Thread.h>`

Inheritance diagram for ZThread::Runnable::

List of all members.

## Public Methods
virtual void | run ()=0 throw ()

## Detailed Description

Author:
  Eric Crahen

Version:
  1.3.0

Date:
  03-10-2001

Encapsulates a Runnable task

## Member Function Documentation

void run ( | ) throw ()`[pure virtual]`

| Task to be performed in another thread of execution Reimplemented in ZThread::Thread, ZThread::Timer, ZThread::TimerThread, and ZThread::Worker.

The documentation for this class was generated from the following file:

- Thread.h